Order Physical Card

Place an order of physical card

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header Reference Click here

Request Parameters

NameTypeMandatory (M) , Optional (O)Description
quantityStringMquantity -1 means personal card else non personal card.
recipientArrayMRecipient details
recipient.nameStringMName of recipient
recipient.mobileStringMmobile number of recipient
recipient.pincodeNumberM6 digit number pincode of recipient
recipient.cityStringMcity of recipient
recipient.addressStringMaddress of recipient
externalRefStringMunique reference number
latitudeStringMlatitude of current location
longitudeStringMlongitude of current location

Sample Request

curl --location --request POST 'https://api.instantpay.in/cards/prepaid/orderInventory' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "quantity": 1,
    "recipient": {
        "name": "Instantpay India Limited",
        "mobile": "7428585742",
        "pincode": "110044",
        "city": "New Delhi",
        "address": "Mohan Cooperative Industrail Estate"
    },
    "externalRef": "PPC#ORDER#1",
    "latitude": "34.4453",
    "longitude": "97.7089"
}'
POST /cards/prepaid/orderInventory HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "quantity": 1,
    "recipient": {
        "name": "**** ******",
        "mobile": "99******10",
        "pincode": "******",
        "city": "*****",
        "address": "***************"
    },
    "externalRef": "PPC#ORDER#1",
    "latitude": "82.0467",
    "longitude": "17.6241"
}
📘

Response Parameters

For Response Reference Click here

Sample Response

{
   "statuscode": "TXN",
   "actcode": null,
   "status": "Transaction Successful",
   "data": {
       "ipayId": "1220123145065KVYEE",
       "openingBalance": "214.50",
       "closingBalance": "214.20",
       "transactionValue": "0.30",
       "payableValue": "0"
   },
   "timestamp": "2022-02-18 11:36:07",
   "ipay_uuid": "h00695deb945-3def-42ba-8857-2ff7bac93fe6",
   "orderid": "1220123145065KVYEE"
   "environment": "LIVE",

}
📘

Action Code Details

For Action Code details Click here

Body Params
string

quantity -1 means personal card else non personal card.

recipient
object

Recipient details

string

unique reference number

string

latitude of current location

string

longitude of current location

Headers
string
Defaults to 1

Auth-Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json